The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

MailMan 2.1.6

Discussion in 'E-mail Discussions' started by jrehmer, Jun 6, 2005.

  1. jrehmer

    jrehmer Well-Known Member

    Joined:
    Apr 10, 2003
    Messages:
    287
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Denver, CO
    MailMan 2.1.6 not installed on latest Edge

    I see that its been added in a previous edge build, however I am running 10.2.0-EDGE_137 and I am still seeing 2.1.5p1. When I try to run the reinstallmailman script I get the following:

    Code:
    User already exists or the username with a dash already exists. at /scripts/realadduser line 100, <PASSWD> line 66.
    /usr/local/cpanel/bin/mailman-install: line 147: cd: /usr/local/cpanel/src/3rdparty/gpl/mailman-2.1.6: No such file or directory
    find: ./messages: No such file or directory
    /usr/local/cpanel/bin/mailman-install: line 150: ./configure: No such file or directory
    make: *** No rule to make target `clean'.  Stop.
    Can't open /usr/local/cpanel/src/3rdparty/gpl/mailman-2.1.6/src/Makefile: No such file or directory.
    make: *** No targets specified and no makefile found.  Stop.
    make: *** No rule to make target `install'.  Stop.
    /usr/local/cpanel/bin/mailman-install: line 167: ./bin/check_perms: No such file or directory
    /usr/local/cpanel/bin/mailman-install: line 167: ./bin/check_perms: No such file or directory
    /usr/local/cpanel/bin/mailman-install: line 169: ./bin/check_perms: No such file or directory
    /usr/local/cpanel/bin/mailman-install: line 169: ./bin/check_perms: No such file or directory
    /usr/local/cpanel/src/3rdparty/gpl/mailman-2.1.6/cron/crontab.in: No such file or directory
    chmod: failed to get attributes of `/usr/local/cpanel/3rdparty/mailman/cgi-bin/create': No such file or directory
    Processing username
    It appears the new version is never downloaded, is there any way I can get this updated by hand? I have had a few problems with security on the current mailman version and I am told my problems have been fixed in 2.1.6 so I'd really like to upgrade.
     
    #1 jrehmer, Jun 6, 2005
    Last edited: Jun 6, 2005
  2. Earendil

    Earendil Well-Known Member

    Joined:
    Jun 10, 2004
    Messages:
    102
    Likes Received:
    0
    Trophy Points:
    16
    For us Mailman completely stopped since the update to EDGE.
    Can't reinstall it either, reverting to Current
     
  3. jrehmer

    jrehmer Well-Known Member

    Joined:
    Apr 10, 2003
    Messages:
    287
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Denver, CO
    Yes this happened to me, here's what I did.

    edit /usr/local/cpanel/bin/mailman-install

    There are lines that say 2.1.6, change them to say 2.1.5p1

    Then run that script. (and DON'T let cpanel update itself until this is fixed)
     
  4. tripod_aaron

    tripod_aaron Registered

    Joined:
    Aug 12, 2004
    Messages:
    1
    Likes Received:
    0
    Trophy Points:
    1
    I tried this one the other way around, ie: changed all the lines that say 2.1.5p1 to 2.1.6 and manually downloaded the sources from the mailman sourceforge mirror. It compiled and installed it successfully. But This gives problems with aliases, I tried it and for each lists you create with it it gives a list of addresses to manually add to the sendmail aliases file. It does not recognise Exim by default and could be problematic.

    Any Ideas?

    - Aaron
     
    #4 tripod_aaron, Jun 19, 2005
    Last edited: Jun 19, 2005
  5. chirpy

    chirpy Well-Known Member

    Joined:
    Jun 15, 2002
    Messages:
    13,475
    Likes Received:
    20
    Trophy Points:
    38
    Location:
    Go on, have a guess
    Have you logged a ticket with cPanel or added a bugzilla entry so that they're aware of the problem so that they can fix it?
     
Loading...

Share This Page